<?php

namespace Planaday\Config\Course\Search;

use Planaday\Config\Course\CourseOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum SearchOptionsEnum: string implements OptionGroupEnum {
	case ASK_TITLE = 'ASK_TITLE';
	case ASK_LOCATION = 'ASK_LOCATION';
	case ASK_LABELS = 'ASK_LABELS';
	case ASK_CODE_95 = 'ASK_CODE_95';
	case ASK_SOOB = 'ASK_SOOB';
	case ASK_STAP = 'ASK_STAP';
	case ASK_E_LEARNING = 'ASK_E_LEARNING';
	case OUTPUT_FORMAT = 'OUTPUT_FORMAT';

	public static function getClassName(): string {
		return SearchSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return CourseOptionsEnum::SEARCH_SETTINGS;
	}
}